# $Revision: 1.15 $, $Date: 2012/04/01 05:31:15 $
# TODO: liblam (MPI) or MPE
Summary:	Prolog Compiler
Summary(pl.UTF-8):	Kompilator Prologu
Name:		Yap
Version:	6.2.2
Release:	1
License:	Artistic
Group:		Development/Languages
Source0:	http://www.dcc.fc.up.pt/~vsc/Yap/yap-%{version}.tar.gz
# Source0-md5:	95eaa54978e4811ff6e504e7dca9e835
Patch0:		%{name}-acdirs.patch
Patch1:		%{name}-nolibs.patch
Patch2:		%{name}-info.patch
URL:		http://www.dcc.fc.up.pt/~vsc/Yap/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	indent
BuildRequires:	mysql-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRequires:	unixODBC-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-performance Prolog compiler developed at LIACC, Universidade do
Porto. The Prolog engine is based in the WAM (Warren Abstract
Machine), with several optimizations for better performance. YAP
follows the Edinburgh tradition, and is largely compatible with the
ISO-Prolog standard and with Quintus and SICStus Prolog.

%description -l pl.UTF-8
Wydajny kompilator Prologu stworzony w LIACC, Universidade do
Porto. Silnik Prologu bazuje na WAM (Warren Abstract Machine), z
różnymi optymalizacjami dla lepszej wydajności. Zgodnie z tradycją
Edinburgh jest on wysoce kompatybilny ze standardem ISO-Prolog oraz
z Prologiem Quintus i SICStus.

%package static
Summary:	Static library for YAP Prolog
Summary(pl.UTF-8):	Statyczna biblioteka dla kompilatora Prologu YAP
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description static
Static library for YAP prolog.

%description static -l pl.UTF-8
Statyczna biblioteka dla kompilatora prologu YAP.

%prep
%setup -q -n yap-%{version}
%undos configure.in
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure \
	--enable-coroutining \
	%{?debug:--enable-debug-yap} \
	--enable-depth-limit \
	--enable-low-level-tracer

%{__make}

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_examplesdir}/%{name}-%{version},%{_libdir}/%{name}}

%{__make} install install_info \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/Yap/clpbn/examples \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/clpbn

%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/web/css
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/Yap

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README* changes*.html docs/yap.tex
%attr(755,root,root) %{_bindir}/yap
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/startup.yss
%{_datadir}/%{name}
%{_includedir}/%{name}
%{_infodir}/pillow_doc.info*
%{_infodir}/yap.info*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libYap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Yap.spec,v $
Revision 1.15  2012/04/01 05:31:15  qboosh
- updated to 6.2.2
- updated acdirs,nolibs,info patches
- removed obsolete port patch

Revision 1.14  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.12  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.11  2004/12/25 16:34:20  qboosh
- release 2

Revision 1.10  2004/12/24 16:15:11  qboosh
- added info patch (direntry unification)

Revision 1.9  2004/12/24 15:59:43  qboosh
- updated to 4.5.5, added port,nolibs patches
- set proper C_*_FLAGS - now surprisingly builds on alpha
- removed INSTALL from doc (useless in binary package)

Revision 1.8  2004/12/09 22:56:25  undefine
- update ac patch
- ExcludeArch: alpha
- doesn't build, problems with alpha on sf since 4.3.22
  (http://sourceforge.net/tracker/index.php?func=detail&aid=668235&group_id=24437&atid=381483),
  no idea how to fix it ;)

Revision 1.7  2004/12/09 07:32:00  undefine
- up to 4.5.4

Revision 1.6  2004/10/18 23:17:27  undefine
- up to 4.4.4, patch to use dirs from autoconf

Revision 1.5  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.4  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/06/15 08:25:01  filon
- examples moved to examplesdir
- release 2

Revision 1.1  2002/06/11 23:05:53  filon
- initial version
- fully funtional, STBR
